      SUBROUTINE UPDATELOCKTIME(timerec,it)

C     SET NEW LOCK TIME IN TIME CHARACTER ARRAY

      character*(*) timerec
      character*30 whodate

      call clearstring(timerec,it)
      call fdate(whodate)

      timerec(1:8)=whodate(12:19)

      return
      end

